Bug 24789 - strsep man page return value incorrect
Summary: strsep man page return value incorrect
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-24 00:37 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 17:55:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-24 00:37:35 UTC
In the manpage for strsep, it states:

The strsep() function returns a pointer to the token,  or NULL if delim is
not found in stringp.


It seems that if the delimeter is not found, that it returns a pointer to
stringp, not NULL, which would make much more sense for parsing delimited
text.

Comment 1 Trond Eivind Glomsrxd 2001-01-30 17:55:01 UTC
The info page has better (and more correct) info, still pondering what to put in
the man pages.

Comment 2 Trond Eivind Glomsrxd 2001-02-14 05:29:53 UTC
Fixed in man-pages-1.34-2, coming soon to a rawhide near you.


Note You need to log in before you can comment on or make changes to this bug.